<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): Log Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_log.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a> &#124;
<a href="class_log-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Log Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Wraps a set of static functions for easy global logging access.  
 <a href="class_log.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_logging_8h_source.html">Logging.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log_1_1_set_output_level.html">SetOutputLevel</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility class to temporarily change the logging output level.  <a href="class_log_1_1_set_output_level.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">Singleton logger access</div></td></tr>
<tr class="memitem:a8196cc2d2e0f3729089ae75cd176af1e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8196cc2d2e0f3729089ae75cd176af1e"></a>
static <a class="el" href="class_logger.html">Logger</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log.html#a8196cc2d2e0f3729089ae75cd176af1e">getLogger</a> ()</td></tr>
<tr class="memdesc:a8196cc2d2e0f3729089ae75cd176af1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current global logger singleton. <br /></td></tr>
<tr class="separator:a8196cc2d2e0f3729089ae75cd176af1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2ceb2fdb51b4dbc4baef0691bdda182"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2ceb2fdb51b4dbc4baef0691bdda182"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log.html#ad2ceb2fdb51b4dbc4baef0691bdda182">setLogger</a> (<a class="el" href="class_logger.html">Logger</a> *logger)</td></tr>
<tr class="memdesc:ad2ceb2fdb51b4dbc4baef0691bdda182"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the global logger singleton instance. <br /></td></tr>
<tr class="separator:ad2ceb2fdb51b4dbc4baef0691bdda182"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Logging</div></td></tr>
<tr class="memitem:abfddf74c388c70413c8dbf5476fa2834"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abfddf74c388c70413c8dbf5476fa2834"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log.html#abfddf74c388c70413c8dbf5476fa2834">log</a> (const char *fmt,...)</td></tr>
<tr class="memdesc:abfddf74c388c70413c8dbf5476fa2834"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> with format. <br /></td></tr>
<tr class="separator:abfddf74c388c70413c8dbf5476fa2834"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9935359fcc184210d2c8879ac01a6b6c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9935359fcc184210d2c8879ac01a6b6c"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log.html#a9935359fcc184210d2c8879ac01a6b6c">log</a> (const string &amp;msg)</td></tr>
<tr class="memdesc:a9935359fcc184210d2c8879ac01a6b6c"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> a string object. <br /></td></tr>
<tr class="separator:a9935359fcc184210d2c8879ac01a6b6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6c8365460b6cbcb3e36bd933e291c44"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac6c8365460b6cbcb3e36bd933e291c44"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log.html#ac6c8365460b6cbcb3e36bd933e291c44">log</a> (<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">Logger::log_level_t</a> level, const char *fmt,...)</td></tr>
<tr class="memdesc:ac6c8365460b6cbcb3e36bd933e291c44"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> with format at a specific output level. <br /></td></tr>
<tr class="separator:ac6c8365460b6cbcb3e36bd933e291c44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9503b14fdb231ac5a3971affb810971f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9503b14fdb231ac5a3971affb810971f"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log.html#a9503b14fdb231ac5a3971affb810971f">log</a> (<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">Logger::log_level_t</a> level, const string &amp;msg)</td></tr>
<tr class="memdesc:a9503b14fdb231ac5a3971affb810971f"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> a string output at a specific output level. <br /></td></tr>
<tr class="separator:a9503b14fdb231ac5a3971affb810971f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Logging level helpers</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>These static methods log a message with an implicit log level. </p>
</div></td></tr>
<tr class="memitem:a0c934cd67d541d83e261cffc4714c9b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c934cd67d541d83e261cffc4714c9b3"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log.html#a0c934cd67d541d83e261cffc4714c9b3">urgent</a> (const char *fmt,...)</td></tr>
<tr class="memdesc:a0c934cd67d541d83e261cffc4714c9b3"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> a message with <a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381aca09a23920b7567780c73d5e6ef30568" title="The lowest level, for messages that must always be logged. ">Logger::kUrgent</a> level. <br /></td></tr>
<tr class="separator:a0c934cd67d541d83e261cffc4714c9b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ff7049d62b9094caf622d9d8b7d6c57"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ff7049d62b9094caf622d9d8b7d6c57"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log.html#a4ff7049d62b9094caf622d9d8b7d6c57">error</a> (const char *fmt,...)</td></tr>
<tr class="memdesc:a4ff7049d62b9094caf622d9d8b7d6c57"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> a message with <a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381a30bcc9bfa9b1cd8f269c6763287209cc" title="For fatal error messages. ">Logger::kError</a> level. <br /></td></tr>
<tr class="separator:a4ff7049d62b9094caf622d9d8b7d6c57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a8d6b9e753f342e683546bc70999afd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a8d6b9e753f342e683546bc70999afd"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log.html#a1a8d6b9e753f342e683546bc70999afd">warning</a> (const char *fmt,...)</td></tr>
<tr class="memdesc:a1a8d6b9e753f342e683546bc70999afd"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> a message with <a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381a8e3ed7030f92b6542e5354e937f2e0ee" title="For non-fatal warning messages. ">Logger::kWarning</a> level. <br /></td></tr>
<tr class="separator:a1a8d6b9e753f342e683546bc70999afd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52bf8d1b0ecfec71e6b21815ec165447"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52bf8d1b0ecfec71e6b21815ec165447"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log.html#a52bf8d1b0ecfec71e6b21815ec165447">info</a> (const char *fmt,...)</td></tr>
<tr class="memdesc:a52bf8d1b0ecfec71e6b21815ec165447"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> a message with <a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381ae2dae72bbbe478b4ece96ee72ce613ec" title="The normal log level, for status messages. ">Logger::kInfo</a> level. <br /></td></tr>
<tr class="separator:a52bf8d1b0ecfec71e6b21815ec165447"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a350246a1cc5865b6e2b9607594df671c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a350246a1cc5865b6e2b9607594df671c"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log.html#a350246a1cc5865b6e2b9607594df671c">info2</a> (const char *fmt,...)</td></tr>
<tr class="memdesc:a350246a1cc5865b6e2b9607594df671c"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> a message with <a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381a0e22aade4d30c09d021b81f88e422d59" title="For verbose status messages. ">Logger::kInfo2</a> level. <br /></td></tr>
<tr class="separator:a350246a1cc5865b6e2b9607594df671c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae93e26f2dc19b74fee253dabc8722a18"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae93e26f2dc19b74fee253dabc8722a18"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log.html#ae93e26f2dc19b74fee253dabc8722a18">debug</a> (const char *fmt,...)</td></tr>
<tr class="memdesc:ae93e26f2dc19b74fee253dabc8722a18"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> a message with <a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381abb93ac9bb74b3ce94a909b7362db37b4" title="For internal reporting. ">Logger::kDebug</a> level. <br /></td></tr>
<tr class="separator:ae93e26f2dc19b74fee253dabc8722a18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c364c452e1c63d500f82e33f40a0509"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c364c452e1c63d500f82e33f40a0509"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log.html#a9c364c452e1c63d500f82e33f40a0509">debug2</a> (const char *fmt,...)</td></tr>
<tr class="memdesc:a9c364c452e1c63d500f82e33f40a0509"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> a message with <a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381a7059bc37726a537e725116d79d149cb3" title="Highest log level; verbose debug logging. ">Logger::kDebug2</a> level. <br /></td></tr>
<tr class="separator:a9c364c452e1c63d500f82e33f40a0509"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr class="memitem:a95c9278f739daf35e9c09490195febbe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95c9278f739daf35e9c09490195febbe"></a>
static <a class="el" href="class_logger.html">Logger</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_log.html#a95c9278f739daf35e9c09490195febbe">s_logger</a></td></tr>
<tr class="memdesc:a95c9278f739daf35e9c09490195febbe"><td class="mdescLeft">&#160;</td><td class="mdescRight">The single global logger instance. <br /></td></tr>
<tr class="separator:a95c9278f739daf35e9c09490195febbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Wraps a set of static functions for easy global logging access. </p>
<p>This class has a set of static methods that make it easy to access a global logger instance without having to worry about extern symbols. It does this by keeping a static member variable pointing at the singleton logger instance, which is set with the <a class="el" href="class_log.html#ad2ceb2fdb51b4dbc4baef0691bdda182" title="Sets the global logger singleton instance. ">setLogger()</a> static method.</p>
<p>There is also an inner utility class called <a class="el" href="class_log_1_1_set_output_level.html" title="Utility class to temporarily change the logging output level. ">SetOutputLevel</a> that uses C++ scoping rules to temporarily change the output logging level. When the <a class="el" href="class_log_1_1_set_output_level.html" title="Utility class to temporarily change the logging output level. ">SetOutputLevel</a> instance falls out of scope the output level is restored to the previous value. </p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="_logging_8h_source.html">Logging.h</a></li>
<li>Logging.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
